<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::radial_basis_kernel&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1radial__basis__kernel.html">radial_basis_kernel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1radial__basis__kernel-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::radial_basis_kernel&lt; T &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a0b80217de5786178c69d3f975552500d"><td class="memItemLeft" align="right" valign="top"><a id="a0b80217de5786178c69d3f975552500d"></a>
typedef T::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a0b80217de5786178c69d3f975552500d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af37ea7966116d074483749156edb5885"><td class="memItemLeft" align="right" valign="top"><a id="af37ea7966116d074483749156edb5885"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>sample_type</b></td></tr>
<tr class="separator:af37ea7966116d074483749156edb5885"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a548f0739bad6be2a3c980d40a9937016"><td class="memItemLeft" align="right" valign="top"><a id="a548f0739bad6be2a3c980d40a9937016"></a>
typedef T::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a548f0739bad6be2a3c980d40a9937016"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1319bb2f8f3e922dd65d4a49c2fed6b7"><td class="memItemLeft" align="right" valign="top"><a id="a1319bb2f8f3e922dd65d4a49c2fed6b7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>COMPILE_TIME_ASSERT</b> (T::NC==1||T::NC==0)</td></tr>
<tr class="separator:a1319bb2f8f3e922dd65d4a49c2fed6b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad65454e93582cc6cabf224d6c3bf788f"><td class="memItemLeft" align="right" valign="top"><a id="ad65454e93582cc6cabf224d6c3bf788f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>radial_basis_kernel</b> (const scalar_type g)</td></tr>
<tr class="separator:ad65454e93582cc6cabf224d6c3bf788f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a962b60a9d9d0717322df404e42fa789c"><td class="memItemLeft" align="right" valign="top"><a id="a962b60a9d9d0717322df404e42fa789c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>radial_basis_kernel</b> (const <a class="el" href="structdlib_1_1radial__basis__kernel.html">radial_basis_kernel</a> &amp;k)</td></tr>
<tr class="separator:a962b60a9d9d0717322df404e42fa789c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f92946fdd5f6b8ec01544a4536931c3"><td class="memItemLeft" align="right" valign="top"><a id="a1f92946fdd5f6b8ec01544a4536931c3"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const sample_type &amp;a, const sample_type &amp;b) const</td></tr>
<tr class="separator:a1f92946fdd5f6b8ec01544a4536931c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa986a6ff7cfbf0f13b07fafc0ea07fb"><td class="memItemLeft" align="right" valign="top"><a id="afa986a6ff7cfbf0f13b07fafc0ea07fb"></a>
<a class="el" href="structdlib_1_1radial__basis__kernel.html">radial_basis_kernel</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="structdlib_1_1radial__basis__kernel.html">radial_basis_kernel</a> &amp;k)</td></tr>
<tr class="separator:afa986a6ff7cfbf0f13b07fafc0ea07fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a688c6befe8a038054098938dac1d4679"><td class="memItemLeft" align="right" valign="top"><a id="a688c6befe8a038054098938dac1d4679"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="structdlib_1_1radial__basis__kernel.html">radial_basis_kernel</a> &amp;k) const</td></tr>
<tr class="separator:a688c6befe8a038054098938dac1d4679"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a901f539a89ae576ebfe15aa7ef3505e5"><td class="memItemLeft" align="right" valign="top"><a id="a901f539a89ae576ebfe15aa7ef3505e5"></a>
const scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>gamma</b></td></tr>
<tr class="separator:a901f539a89ae576ebfe15aa7ef3505e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="kernel_8h_source.html">kernel.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
